#ifndef BUTTON_H_INCLUDED
#define BUTTON_H_INCLUDED

#include "Image.h"

class Button : public Image
{
    public:
        Button(string filepath);
        ~Button() { }

        // stuff that has to happen after the constructor
        void init();

        Rect getHitbox(){ return hitbox; }
        void display(int x = 0, int y = 0) { Image::display(hitbox.x + x, hitbox.y + y); }
        void setHitbox(const Rect& box) { hitbox = box; }
        bool mouseOver(int mx, int my);

    protected:
        Rect hitbox;

};

#endif // BUTTON_H_INCLUDED
