#ifndef CAMERA_H
#define CAMERA_H

#include "Artist.h"
#include "WubManager.h"

class Camera
{
    public:
        Camera() {};
        virtual ~Camera() {};

        Rect getBounds() { return bounds; }

        void moveCamera(int x, int y){ this->bounds.x = x; this->bounds.y = y; }
        void setCamera(Rect bounds) { this->bounds = bounds; }
        void resizeCamera(int w, int h) { bounds.w = w; bounds.h = h; }

        void validate(int mapWidth, int mapHeight);
        void scroll(Direction dir, int dist);
        void centerOn(Rect center);

    protected:
        Rect bounds;
};

#endif // CAMERA_H
