#ifndef DECORATION_H
#define DECORATION_H

#include "Image.h"
#include <math.h>

#define FLOAT_BOBBING 20

class Decoration : public Image
{
    public:
        Decoration();
        virtual ~Decoration();

        void setX(int x) { bounds.x = x; }
        void setY(int y) { bounds.y = y; }
        void setZ(int z) { this->z = z; }
        void setFloating(bool f);

        int getZ() { return z; }

        void display(int xOffset, int yOffset, Rect camera);

    protected:
        bool floating;
        float floatAngle; // for a sin wave floating effect
        int floatOffset;
        int floatVelocity;
        int z;
};

#endif // DECORATION_H
