#ifndef PLATFORM_H
#define PLATFORM_H

#include "Object.h"

class Platform : public Object
{
    public:
        Platform() {};
        virtual ~Platform() {};

        void setXOffset(int x) {sprite->setOffset(x , sprite->getBounds().y); }
        void setYOffset(int y) {sprite->setOffset(sprite->getBounds().x, y); }
        void setWidth(int w) { hitbox.w = w; }
        void setHeight(int h) { hitbox.h = h; }

        void setFlip(bool flip) { sprite->setXFlip(flip); }

    protected:
};

#endif // PLATFORM_H
