#ifndef TRAP_H
#define TRAP_H

#include <Object.h>
#include "WubManager.h"
#include <math.h>

class Trap : public Object
{
    public:
        Trap();
        virtual ~Trap();

        void setXFloating(int f);
        void setYFloating(int f);

        void setLoopSound(string filename);

        virtual void display(int xOffset = 0, int yOffset = 0 );
        void partition(int p);

        virtual void setX(int x) { startingX = x; hitbox.x = startingX + xfloating * cos(rand()%360 * (TWO_PI/360));}
        virtual void setY(int y) { startingY = y; hitbox.y = startingY + yfloating * sin(rand()%360 * (TWO_PI/360));}

    protected:
        int startingX;
        int startingY;

        int xfloating;
        float xfloatAngle; // for a sin wave floating effect

        int yfloating;
        float yfloatAngle; // for a sin wave floating effect

        irrklang::ISoundEngine* dj;
        irrklang::ISoundSource* loopSound;
};

#endif // TRAP_H
